local initialize = CreateFrame("Frame")
initialize:RegisterEvent("VARIABLES_LOADED");
initialize:SetScript("OnEvent",function(self,event,...)
    if event == "VARIABLES_LOADED" then
        NarcissusDB = NarcissusDB or {};
        NarcissusDB.MinimapButton = NarcissusDB.MinimapButton or {};
        NarcissusDB.MinimapButton.Position = NarcissusDB.MinimapButton.Position or rad(150);

        if (not NarcissusDB.PhotoModeButton) or (type(NarcissusDB.PhotoModeButton) ~= "table") then
            NarcissusDB.PhotoModeButton = {};
        end

        if NarcissusDB.PhotoModeButton.HideTexts == nil then
            NarcissusDB.PhotoModeButton.HideTexts =  true;
        end

        if NarcissusDB.DetailedIlvlInfo == nil then
            NarcissusDB.DetailedIlvlInfo =  true;
        end

        if NarcissusDB.GlobalScale == nil then
            NarcissusDB.GlobalScale = 1;
        end
    end
end)